/**
 * ANCHOR Customising
 *
 */
html {
    font-size: 100%;
}

body {
    background: var(--clx-color-tertiary);
}

h1,
.h1,
.clx-h1,
h2,
.h2,
.clx-h2,
h3,
.h3,
.clx-h3,
h4,
.h4,
.clx-h4,
h5,
.h5,
.clx-h5,
h6,
.h6,
.clx-h6 {
    margin: 33px 0 12px;
    line-height: 1.1;
}

h1,
.h1,
.clx-h1 {
    font-size: 32px;
    padding-bottom: 15px;
    margin-bottom: 35px;
    background-image: linear-gradient(to right, var(--clx-color) 0 100%);
    background-size: 78px 2px;
    background-repeat: no-repeat;
    background-position: 0 48px;
    background-position: 0 bottom;
}

h2,
.h2,
.clx-h2 {
    font-size: 26px;
    margin: 33px 0 12px;
    padding-bottom: 0;
    line-height: 1.1;
    background: none;
}

h3,
.h3,
.clx-h3 {
    font-size: 21px;
    margin: 33px 0 12px;
    padding-bottom: 0;
    line-height: 1.1;
}

h4,
.h4,
.clx-h4 {
    font-size: 20px;
    margin: 33px 0 12px;
    padding-bottom: 0;
    line-height: 1.1;
}

h5,
.h5,
.clx-h5 {
    font-size: 18px;
    margin: 33px 0 12px;
    padding-bottom: 0;
    line-height: 1.1;
}

h6,
.h6,
.clx-h6 {
    font-size: 18px;
    margin: 33px 0 12px;
    padding-bottom: 0;
    line-height: 1.1;
}

.blockquote {
    margin: 30px 30% 30px 20%;
    color: var(--clx-color-gray);
}

header {
    height: 140px;
    overflow: hidden;

    & section:first-child {
        height: 100px;

        .clx-container {
            padding: 0;
            height: 100%;
            max-width: 1220px;
            background: transparent url(../images/bg_header.png) top left no-repeat;

            .clx-logo {
                img {
                    padding-top: 20px;
                }
            }

            & .clx-navigation {
                margin-right: 0;
                margin-left: 0;

                ul {
                    li {
                        a {
                            color: var(--clx-color-white);
                            align-items: 1;
                            font-weight: 300;
                            text-transform: uppercase;

                            &:hover {
                                color: var(--clx-color-black);
                            }

                            &.icon {
                                padding: 0;
                                margin: 0 0 0 20px;
                                width: 30px;
                                height: 30px;
                                cursor: pointer;
                                background-size: 20px auto;
                                background-position: right center;
                                background-repeat: no-repeat;

                                &.icon-search {
                                    background-image: url(../images/icon_search_light.svg);

                                    &:hover {
                                        background-image: url(../images/icon_search_dark.svg);
                                    }
                                }

                            }
                        }
                    }
                }
            }

        }
    }

    & section:last-child {
        height: 40px;

        .clx-container {
            height: 40px;
            background-color: var(--clx-color-secondary);
            box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.4);

            .clx-navigation {
                position: fixed;
                top: 100px;

                ul {
                    li {
                        a {

                            &.starter_active {
                                background-color: var(--clx-color-primary);
                            }
                        }

                        &:hover {
                            background-color: var(--clx-color-primary);
                        }

                        ul {
                            transition: none;
                            margin-left: 0 !important;

                            li {
                                a {
                                    padding-top: 6px;
                                    padding-bottom: 6px;
                                    text-transform: none;

                                    &:hover {}
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

main {
    section {
        padding-top: 140px;
        padding-bottom: 40px;

        .home-grid {
            display: grid;
            grid-template-columns: 1fr 1fr 1fr;
            grid-template-rows: auto auto;
            gap: 40px;

            .home-grid-item-3 {
                grid-area: 1 / 3 / last-line / end;
            }

            .home-grid-item-4 {
                grid-area: 2 / 1 / last-line / 3;
            }
        }

        hr {
            border-top: 1px dotted var(--clx-border-color);
            background: transparent;
        }


        .clx-container {
            background-color: white;
            box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.4);
        }

        .clx-fullscreen {
            margin-left: -40px;
            margin-right: -40px;
            height: 30vh;
        }

        .content {
            padding-top: 10px;
        }

        & .clx-navigation-skyscraper {
            position: sticky;
            top: 200px;
            min-height: 50px;
            margin: 60px 0 100px 0;
            width: 100%;

            li {
                a {
                    padding-top: 2px;

                    padding: 6px 0;
                    color: var(--clx-color);
                    font-weight: var(--clx-nav-a-weight);
                    font-size: var(---clx-nav-a-a-size);


                    &:hover,
                    &.active,
                    &.starter_active {
                        text-decoration: none;
                        color: var(--clx-color-primary);
                    }

                    &.starter_active {
                        font-weight: 500;
                    }
                }

                ul li {
                    &:last-child {
                        padding-bottom: 5px
                    }

                    a {
                        color: var(--clx-color);
                        padding: 3px 0 3px 25px;
                        line-height: 1.3;

                        &:before {
                            content: "-";
                            margin-right: 4px;
                            margin-left: -15px;
                        }

                        &:hover {
                            color: var(--clx-color-primary);
                        }

                        &.active {
                            color: var(--clx-color-primary);
                            font-weight: 500;
                        }
                    }
                }
            }
        }

    }

    h2.month {
        position: relative;
        width: 100%;

        &::after {
            content: '';
            position: relative;
            display: block;
            box-sizing: border-box;
            margin-top: 6px;
            width: 100%;
            border-bottom: 1px dotted var(--clx-color-gray);
        }
    }

    .clx-calendar {
        & div:first-child {
            font-size: 1.45em;
            font-weight: var(--clx-font-weight-h1-h6);
            color: var(--clx-color);
        }

    }

}

footer {
    margin: 80px -40px 0;
    background-image: url(../images/bg_footer.png);
    background-position: top right;
    background-repeat: no-repeat;

    & section:first-child {
        box-sizing: border-box;
        padding: 30px 40px 0 40px;
    }

    & section:last-child {
        box-sizing: border-box;
        padding: 0 40px 0 40px;
        background-color: #C3C3C4;

        nav {
            margin-left: -20px;

            ul {
                li {
                    a {
                        color: var(--clx-color);
                        font-weight: 400;

                        &:hover {
                            color: var(--clx-color-primary);
                        }
                    }
                }
            }
        }
    }

    h4 {
        margin-top: 10px;
    }
}


.clx-bubble {
    top: 20px;
    background-color: var(--clx-color-primary);
    transform: rotate(10deg);
    flex-direction: column;
    flex-wrap: nowrap;
    color: var(--clx-color-white);

    &.clx-bubble-position-right {
        right: 10vw;
    }

    h1,
    h2,
    h3,
    h4 {
        color: var(--clx-color-white);
        margin-top: 0;
    }
}

.clx-splide-canvas .splide__slide {
    width: 100%;
    aspect-ratio: var(--clx-card-aspect-ratio);
    overflow: hidden;
}

.splide__slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.splide__arrow {
    background: transparent;

    & svg {
        fill: var(--clx-color-white);
    }
}


/**
 * ANCHOR Media Queries
 *
 */
@media (max-width: 1280px) {

    header {
        & section:first-child {
            .clx-container {
                margin: 0 30px;
                max-width: calc(100% - 60px);
            }
        }
    }

    main {
        section {
            padding-bottom: 0;

            .clx-container {
                box-shadow: none;
            }
        }
    }
}

@media (max-width: 1060px) {

    header {
        height: 84px;

        & section:first-child {
            height: 80px;

            .clx-container {
                margin: 0 0 0 30px;
                max-width: calc(100% - 30px);

                .clx-logo {
                    img {
                        padding-top: 15px;
                        width: 100%;
                        max-width: 300px;
                    }
                }

            }

            .clx-navigation {
                display: none;
            }

            .clx-navigation-burger {
                display: block;
            }
        }

        & section:last-child {
            height: 4px;

            .clx-container {
                box-shadow: none;

                .clx-navigation {
                    display: none;
                }
            }
        }
    }

    main {
        section {
            padding-top: 84px;

            .home-grid {
                display: grid;
                grid-template-columns: 2fr 1fr;
                grid-template-rows: auto auto auto;

                .home-grid-item-1 {
                    grid-area: 1 / 1 / 2 / 2;
                }

                .home-grid-item-2 {
                    grid-area: 2 / 1 / 3 / 2;
                }

                .home-grid-item-3 {
                    grid-area: 1 / 2 / last-line / end;
                }

                .home-grid-item-4 {
                    grid-area: 3 / 1 / last-line / 2;
                }
            }

            .subnav {
                display: none;
            }

            .content {
                width: 100%;
            }
        }
    }

    footer {
        & section:last-child {
            padding-top: 10px;
        }
    }
}

@media (max-width: 640px) {
    main {
        section {
            .clx-fullscreen {
                margin-left: -25px;
                margin-right: -25px;
            }


            .home-grid {
                display: grid;
                grid-template-columns: 1fr;
                grid-template-rows: auto;

                .home-grid-item-1,
                .home-grid-item-2,
                .home-grid-item-3,
                .home-grid-item-4 {
                    grid-area: auto;
                }
            }


        }
    }

    footer {

        margin-left: -25px;
        margin-right: -25px;
        padding-left: 0;
        padding-right: 0;


        & section:first-child,
        & section:last-child {
            padding-left: 25px;
            padding-right: 25px;
        }
    }

    .clx-bubble {
        top: 20px;
        transform: rotate(10deg) scale(0.7);

        &.clx-bubble-position-right {
            right: -20px;
        }
    }

}

@media only screen and (orientation: portrait) {}

@media print {

    html {
        font-size: 60%;
    }

    header,
    footer,
    nav,
    .clx-navigation-burger,
    .clx-totop,
    .clx-button,
    .clx-hero,
    .clx-parallax,
    .clx-video,
    .clx-bubble,
    .splide__arrow,
    .splide__pagination,
    #captcha {
        display: none !important;
    }

    /*
    footer {
        padding-top: 30px;
        background-color:transparent;        

        &>* {
            color: var(--clx-color);
        }
    }
    */
}